# idessem

![tests](https://github.com/rjmalves/idessem/workflows/tests/badge.svg)  
[![codecov](https://codecov.io/gh/rjmalves/idessem/branch/main/graph/badge.svg?token=HA31U1FWM4)](https://codecov.io/gh/rjmalves/idessem)

O `idessem` é um pacote Python para manipulação dos arquivos de entrada e saída do programa [DESSEM](https://www.cepel.br/linhas-de-pesquisa/dessem/). O DESSEM é desenvolvido pelo [CEPEL](http://www.cepel.br) e utilizado para a programação da operação do Sistema Interligado Nacional (SIN).

O idessem oferece:

- Meios para leitura dos arquivos de entrada e saída do DESSEM

- Facilidades para estudo e análise dos dados utilizando DataFrames do pandas

- Dados estruturados em modelos com o uso do paradigma de orientação a objetos (OOP)

## Instalação

O idessem é compatível com versões de Python >= 3.10 e é construído com base no framework [cfinterface](https://github.com/rjmalves/cfi).

É possível instalar a versão distribuída oficialmente com pip:

```
python -m pip install idessem
```

É possível realizar a instalação da versão de desenvolvimento fazendo o uso do git:

```
pip install git+https://github.com/rjmalves/idessem
```

## Documentação

Guias, tutoriais e as referências podem ser encontrados no site oficial do pacote: https://rjmalves.github.io/idessem
